read.cel.intensities {affxparser} | R Documentation

## Reads the intensities contained in several Affymetrix CEL files

### Description

Reads the intensities of several Affymetrix CEL files (as opposed to `read.cel.complete` which only reads a single file).

### Usage

    read.cel.intensities(fnames, indices = NULL, verbose = 0)

### Arguments

`fnames` | the names of the CEL files as a character vector.
`indices` | a vector of which indices should be read. If the argument is `NULL` all features will be returned.
`verbose` | an integer: how verbose do we want to be, higher means more verbose.

### Details

The function will initially allocate a matrix with the same memory footprint as the final object.

### Value

A matrix with a number of rows equal to the length of the `indices` argument (or the number of features on the entire chip), and a number of columns equal to the number of files. The columns are ordered according to the `fnames` argument.

### Note

Currently this function builds on `read.cel.complete`, and simply calls this function multiple times. If testing yields sufficient reasons for doing so, it may be re-implemented in C++.

### Author(s)

James Bullard, bullard@stat.berkeley.edu and Kasper Daniel Hansen, khansen@stat.berkeley.edu

### See Also

`read.cel.complete` for the a discussion of a more versatile function, particular with details of the `indices` argument.

### Examples

    ## Not run:
    read.cel.intensities(fnames = c("~/testFile1.CEL", "~/testFile2.CEL"))
    ## End(Not run)

[Package affxparser version 1.2.0 Index]